using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BLL
{
    /*学生信息业务逻辑层*/
    public class bllStudent_QQ287307421{
        /*添加学生信息*/
        public static bool AddStudent_QQ287307421(Model.Student_QQ287307421 student_QQ287307421)
        {
            return DAL.dalStudent_QQ287307421.AddStudent_QQ287307421(student_QQ287307421);
        }

        /*根据studentNumber获取某条学生信息记录*/
        public static Model.Student_QQ287307421 getSomeStudent_QQ287307421(string studentNumber)
        {
            return DAL.dalStudent_QQ287307421.getSomeStudent_QQ287307421(studentNumber);
        }

        /*更新学生信息*/
        public static bool EditStudent_QQ287307421(Model.Student_QQ287307421 student_QQ287307421)
        {
            return DAL.dalStudent_QQ287307421.EditStudent_QQ287307421(student_QQ287307421);
        }

        /*删除学生信息*/
        public static bool DelStudent_QQ287307421(string p)
        {
            return DAL.dalStudent_QQ287307421.DelStudent_QQ287307421(p);
        }

        /*根据条件分页查询学生信息*/
        public static System.Data.DataTable GetStudent_QQ287307421(int NowPage, int PageSize, out int AllPage, out int DataCount, string p)
        {
            return DAL.dalStudent_QQ287307421.GetStudent_QQ287307421(NowPage, PageSize, out AllPage, out DataCount, p);
        }
        /*查询所有的学生信息*/
        public static System.Data.DataSet getAllStudent_QQ287307421()
        {
            return DAL.dalStudent_QQ287307421.getAllStudent_QQ287307421();
        }
    }
}
